<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddImeRouteFilterGroupReq StructType
 * @subpackage Structs
 */
class AddImeRouteFilterGroupReq extends APIRequest
{
    /**
     * The imeRouteFilterGroup
     * @var XImeRouteFilterGroup
     */
    public $imeRouteFilterGroup;
    /**
     * Constructor method for AddImeRouteFilterGroupReq
     * @uses AddImeRouteFilterGroupReq::setImeRouteFilterGroup()
     * @param XImeRouteFilterGroup $imeRouteFilterGroup
     */
    public function __construct(XImeRouteFilterGroup $imeRouteFilterGroup = null)
    {
        $this
            ->setImeRouteFilterGroup($imeRouteFilterGroup);
    }
    /**
     * Get imeRouteFilterGroup value
     * @return XImeRouteFilterGroup|null
     */
    public function getImeRouteFilterGroup()
    {
        return $this->imeRouteFilterGroup;
    }
    /**
     * Set imeRouteFilterGroup value
     * @param XImeRouteFilterGroup $imeRouteFilterGroup
     * @return AddImeRouteFilterGroupReq
     */
    public function setImeRouteFilterGroup(XImeRouteFilterGroup $imeRouteFilterGroup = null)
    {
        $this->imeRouteFilterGroup = $imeRouteFilterGroup;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddImeRouteFilterGroupReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
